package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.supervision.pdfqaserver.config.VectorTypeHandler;
import lombok.Data;

/**
 * 节点关系向量表
 * @TableName node_relation_vector
 */
@TableName(value ="node_relation_vector")
@Data
public class NodeRelationVector implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 文本内容
     */
    private String content;

    /**
     * 向量值
     */
    @TableField(typeHandler = VectorTypeHandler.class)
    private float[] embedding;

    /**
     * 内容类型 N:节点 R:关系 ER:三元组
     */
    private String contentType;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}