package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问题分类表
 * @TableName question_category
 */
@TableName(value ="question_category")
@Data
public class QuestionCategory implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 分类名
     */
    private String categoryName;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}