package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问题分类意图关联表
 * @TableName question_category_intention
 */
@TableName(value ="question_category_intention")
@Data
public class QuestionCategoryIntention implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 问题分类id
     */
    private String categoryId;

    /**
     * 意图id
     */
    private String intentId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}