package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问题处理器映射表
 * @TableName question_handler_mapping
 */
@TableName(value ="question_handler_mapping")
@Data
public class QuestionHandlerMapping implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 问题分类id
     */
    private String questionCategoryId;

    /**
     * 处理器
     */
    private String handler;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}