package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.NodeRelationVector;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.pdfqaserver.dto.CypherSchemaDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【node_relation_vector(节点关系向量表)】的数据库操作Service
* @createDate 2025-06-18 13:38:02
*/
public interface NodeRelationVectorService extends IService<NodeRelationVector> {

    void refreshSchemaSegmentVector(CypherSchemaDTO cypherSchemaDTO);

    List<NodeRelationVector> matchSimilarByCosine(float[] embedding, double threshold , List<String> contentType, int limit);

    /**
     * 计算内容匹配分数
     * @param embedding 向量
     * @param content 内容
     * @return
     */
    Double matchContentScore(float[] embedding, String content);
}
